# List of supported chips

*For an explanation of the requirements tab, please have a look at [REQUIREMENTS](./REQUIREMENTS.md) document.*

## CONTENT

- [List of supported chips](#list-of-supported-chips)
  - [CONTENT](#content)
    - [AVR](#avr)
    - [GIGADEVICE](#gigadevice)
    - [TIVA](#tiva)
    - [NXP](#nxp)
    - [PIC32](#pic32)
    - [PIC18](#pic18)
    - [STM32](#stm32)

---

### AVR

|   CHIP NAME    | ARCHITECTURE |  REQUIREMENTS   | SUPPORTED IN VERSION |        GPIO        |        ADC         |                 I2C                 |        PWM         |        SPI         |        UART        |      ONE WIRE      |
| :------------: | :----------: | :-------------: | :------------------: | :----------------: | :----------------: | :---------------------------------: | :----------------: | :----------------: | :----------------: | :----------------: |
|  AT90USB1286   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  AT90USB1287   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|   AT90USB646   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|   AT90USB647   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|   ATmega128    |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|   ATmega1280   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|   ATmega1281   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|   ATmega1284   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  ATmega1284P   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|   ATmega128A   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|    ATmega16    |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|   ATmega164A   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|   ATmega164P   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  ATmega164PA   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|   ATmega168    |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|   ATmega168A   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|   ATmega168P   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  ATmega168PA   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  ATmega168PB   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|   ATmega16A    |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|   ATmega16U4   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|   ATmega2560   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|   ATmega2561   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|    ATmega32    |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|   ATmega324A   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|   ATmega324P   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  ATmega324PA   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  ATmega324PB   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|   ATmega328    |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|   ATmega32A    |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|   ATmega32U4   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|    ATmega64    |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|   ATmega640    |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|   ATmega644    |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|   ATmega644A   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|   ATmega644P   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  ATmega644PA   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|   ATmega64A    |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| ATxmega128A1U  |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  ATxmega128A3  |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| ATxmega128A3U  |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| ATxmega128A4U  |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  ATxmega128B1  |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  ATxmega128B3  |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  ATxmega128D3  |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  ATxmega128D4  |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  ATxmega16A4   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  ATxmega16A4U  |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  ATxmega16D4   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  ATxmega16E5   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  ATxmega192A3  |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| ATxmega192A3U  |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  ATxmega192D3  |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  ATxmega256A3  |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| ATxmega256A3B  |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| ATxmega256A3BU |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| ATxmega256A3U  |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  ATxmega256D3  |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  ATxmega32A4   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  ATxmega32A4U  |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  ATxmega32D3   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  ATxmega32D4   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  ATxmega32E5   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  ATxmega384D3  |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  ATxmega64A1U  |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  ATxmega64A3   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  ATxmega64A3U  |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  ATxmega64A4U  |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  ATxmega64B1   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  ATxmega64B3   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  ATxmega64D3   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  ATxmega64D4   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  ATmega328PB   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: |         :heavy_check_mark:          | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|   ATmega169A   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: [:one:](#note_2) | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|   ATmega169P   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: [:one:](#note_2) | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  ATmega169PA   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: [:one:](#note_2) | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|   ATmega325    |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: [:one:](#note_2) | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|   ATmega3250   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: [:one:](#note_2) | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  ATmega3250A   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: [:one:](#note_2) | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  ATmega3250P   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: [:one:](#note_2) | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  ATmega3250PA  |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: [:one:](#note_2) | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|   ATmega325A   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: [:one:](#note_2) | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|   ATmega325P   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: [:one:](#note_2) | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  ATmega325PA   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: [:one:](#note_2) | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|   ATmega329    |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: [:one:](#note_2) | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|   ATmega3290   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: [:one:](#note_2) | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  ATmega3290A   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: [:one:](#note_2) | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  ATmega3290P   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: [:one:](#note_2) | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|   ATmega329A   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: [:one:](#note_2) | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|   ATmega329P   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: [:one:](#note_2) | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  ATmega329PA   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: [:one:](#note_2) | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|   ATmega645    |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: [:one:](#note_2) | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|   ATmega6450   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: [:one:](#note_2) | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  ATmega6450A   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: [:one:](#note_2) | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  ATmega6450P   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: [:one:](#note_2) | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|   ATmega645A   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: [:one:](#note_2) | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|   ATmega645P   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: [:one:](#note_2) | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|   ATmega649    |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: [:one:](#note_2) | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|   ATmega6490   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: [:one:](#note_2) | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  ATmega6490A   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: [:one:](#note_2) | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  ATmega6490P   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: [:one:](#note_2) | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|   ATmega649A   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: [:one:](#note_2) | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|   ATmega649P   |   AVR 8bit   | `FLASH1`;`RAM1` |       `2.7.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: [:one:](#note_2) | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |

> **_NOTE:_**
>> <a name="note_2">:one:</a> Chip doesn't have specified hardware module.
>> Software implementation is used.

---

### GIGADEVICE

|   CHIP NAME   | ARCHITECTURE |  REQUIREMENTS   | SUPPORTED IN VERSION |        GPIO        |        ADC         |        I2C         |        PWM         |        SPI         |        UART        |      ONE WIRE      |
| :-----------: | :----------: | :-------------: | :------------------: | :----------------: | :----------------: | :----------------: | :----------------: | :----------------: | :----------------: | :----------------: |
| GD32VF103C4T6 |    RISC-V    | `FLASH1`;`RAM1` |       `2.6.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| GD32VF103C6T6 |    RISC-V    | `FLASH1`;`RAM1` |       `2.6.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| GD32VF103C8T6 |    RISC-V    | `FLASH1`;`RAM1` |       `2.6.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| GD32VF103CBT6 |    RISC-V    | `FLASH1`;`RAM1` |       `2.6.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| GD32VF103R4T6 |    RISC-V    | `FLASH1`;`RAM1` |       `2.6.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| GD32VF103R6T6 |    RISC-V    | `FLASH1`;`RAM1` |       `2.6.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| GD32VF103R8T6 |    RISC-V    | `FLASH1`;`RAM1` |       `2.6.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| GD32VF103RBT6 |    RISC-V    | `FLASH1`;`RAM1` |       `2.6.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| GD32VF103T4U6 |    RISC-V    | `FLASH1`;`RAM1` |       `2.6.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| GD32VF103T6U6 |    RISC-V    | `FLASH1`;`RAM1` |       `2.6.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| GD32VF103T8U6 |    RISC-V    | `FLASH1`;`RAM1` |       `2.6.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| GD32VF103TBU6 |    RISC-V    | `FLASH1`;`RAM1` |       `2.6.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| GD32VF103V8T6 |    RISC-V    | `FLASH1`;`RAM1` |       `2.6.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| GD32VF103VBT6 |    RISC-V    | `FLASH1`;`RAM1` |       `2.6.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |

---

### TIVA

|   CHIP NAME   | ARCHITECTURE |  REQUIREMENTS   | SUPPORTED IN VERSION |        GPIO        |        ADC         |        I2C         |        PWM         |        SPI         |        UART        |      ONE WIRE      |
| :-----------: | :----------: | :-------------: | :------------------: | :----------------: | :----------------: | :----------------: | :----------------: | :----------------: | :----------------: | :----------------: |
| TM4C1230C3PM  |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C1230D5PM  |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C1230E6PM  |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C1230H6PM  |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C1231C3PM  |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C1231D5PM  |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C1231D5PZ  |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C1231E6PM  |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C1231E6PZ  |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C1231H6PGE |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C1231H6PM  |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C1231H6PZ  |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C1232C3PM  |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C1232D5PM  |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C1232E6PM  |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C1232H6PM  |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C1233C3PM  |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C1233D5PM  |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C1233D5PZ  |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C1233E6PM  |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C1233E6PZ  |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C1233H6PGE |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C1233H6PM  |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C1233H6PZ  |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C1236D5PM  |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C1236E6PM  |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C1236H6PM  |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C1237D5PM  |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C1237D5PZ  |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C1237E6PM  |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C1237E6PZ  |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C1237H6PGE |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C1237H6PM  |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C1237H6PZ  |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C123AE6PM  |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C123AH6PM  |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C123BE6PM  |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C123BE6PZ  |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C123BH6PGE |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C123BH6PM  |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C123BH6PZ  |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C123BH6ZRB |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C123FE6PM  |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C123FH6PM  |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C123GE6PM  |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C123GE6PZ  |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C123GH6PGE |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C123GH6PM  |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C123GH6PZ  |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C123GH6ZRB |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C123GH6ZXR |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C1290NCPDT |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C1290NCZAD |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C1292NCPDT |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C1292NCZAD |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C1294KCPDT |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C1294NCPDT |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C1294NCZAD |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C1297NCZAD |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C1299KCZAD |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C1299NCZAD |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C129CNCPDT |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C129CNCZAD |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C129DNCPDT |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C129DNCZAD |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C129EKCPDT |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C129ENCPDT |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C129ENCZAD |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C129LNCZAD |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C129XKCZAD |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| TM4C129XNCZAD |     ARM      | `FLASH1`;`RAM1` |       `2.3.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |

---

### NXP

|    CHIP NAME    | ARCHITECTURE |  REQUIREMENTS   | SUPPORTED IN VERSION |        GPIO        |        ADC         |        I2C         |        PWM         |        SPI         |        UART        |      ONE WIRE      |
| :-------------: | :----------: | :-------------: | :------------------: | :----------------: | :----------------: | :----------------: | :----------------: | :----------------: | :----------------: | :----------------: |
|  MK20DN128VFM5  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  MK20DN128VFT5  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  MK20DN128VLF5  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  MK20DN128VLH5  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  MK20DN128VMP5  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  MK20DN32VFM5   |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  MK20DN32VFT5   |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  MK20DN32VLF5   |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  MK20DN32VLH5   |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  MK20DN32VMP5   |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  MK20DN64VFM5   |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  MK20DN64VFT5   |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  MK20DN64VLF5   |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  MK20DN64VLH5   |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  MK20DN64VMP5   |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  MK20DX128VFM5  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  MK20DX128VFT5  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  MK20DX128VLF5  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  MK20DX128VLH5  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  MK20DX32VFM5   |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  MK20DX32VFT5   |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  MK20DX32VLF5   |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  MK20DX32VLH5   |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  MK20DX32VMP5   |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  MK20DX64VFM5   |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  MK20DX64VFT5   |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  MK20DX64VLF5   |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  MK20DX64VLH5   |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  MK20DX64VMP5   |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK22FN128CAH12  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK22FN128VDC10  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK22FN128VLH10  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK22FN128VLL10  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK22FN128VMP10  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK22FN1M0AVLH12 |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK22FN1M0AVLK12 |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK22FN1M0AVLL12 |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK22FN1M0AVLQ12 |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK22FN1M0AVMC12 |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK22FN1M0AVMD12 |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK22FN1M0VLH12  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK22FN1M0VLK12  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK22FN1M0VLL12  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK22FN1M0VLQ12  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK22FN1M0VMC12  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK22FN1M0VMD12  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK22FN256CAH12  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK22FN256VDC12  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK22FN256VLH12  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK22FN256VLL12  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK22FN256VMP12  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK22FN512CAP12  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK22FN512VDC12  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK22FN512VFX12  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK22FN512VLH12  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK22FN512VLL12  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK22FN512VMP12  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK22FX512AVLH12 |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK22FX512AVLK12 |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK22FX512AVLL12 |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK22FX512AVLQ12 |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK22FX512AVMC12 |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK22FX512AVMD12 |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK22FX512VLH12  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK22FX512VLK12  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK22FX512VLL12  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK22FX512VLQ12  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK22FX512VMC12  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK22FX512VMD12  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK51DN256CLQ10  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK51DN256CMD10  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK51DN512CLL10  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK51DN512CLQ10  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK51DN512CMC10  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK51DN512CMD10  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK51DX256CLK10  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK51DX256CLL10  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK51DX256CMC10  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK53DN512CLQ10  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK53DN512CMD10  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK53DX256CLQ10  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK53DX256CMD10  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK60DN256VLL10  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK60DN256VLQ10  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK60DN256VMC10  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK60DN256VMD10  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK60DN512VLL10  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK60DN512VLQ10  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK60DN512VMC10  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK60DN512VMD10  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK60DX256VLL10  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK60DX256VLQ10  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK60DX256VMC10  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK60DX256VMD10  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK64FN1M0CAJ12  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK64FN1M0VDC12  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK64FN1M0VLL12  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK64FN1M0VLQ12  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK64FN1M0VMD12  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK64FX512VDC12  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK64FX512VLL12  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK64FX512VLQ12  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK64FX512VMD12  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK65FN2M0CAC18  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK65FN2M0VMI18  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK65FX1M0CAC18  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK65FX1M0VMI18  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK66FN2M0VLQ18  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK66FN2M0VMD18  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK66FX1M0VLQ18  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK66FX1M0VMD18  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK80FN256VDC15  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK80FN256VLL15  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK80FN256VLQ15  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK82FN256VDC15  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK82FN256VLL15  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MK82FN256VLQ15  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MKV42F128VLF16  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MKV42F128VLH16  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MKV42F128VLL16  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MKV42F256VLH16  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MKV42F256VLL16  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  MKV42F64VLF16  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  MKV42F64VLH16  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MKV44F128VLF16  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MKV44F128VLH16  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MKV44F128VLL16  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MKV44F256VLH16  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MKV44F256VLL16  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  MKV44F64VLF16  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  MKV44F64VLH16  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MKV46F128VLH16  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MKV46F128VLL16  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MKV46F256VLH16  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MKV46F256VLL16  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MKV56F1M0VLL24  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MKV56F1M0VLQ24  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MKV56F1M0VMD24  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MKV56F512VLL24  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MKV56F512VLQ24  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MKV56F512VMD24  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MKV58F1M0VLL24  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MKV58F1M0VLQ24  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MKV58F1M0VMD24  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MKV58F512VLL24  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MKV58F512VLQ24  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| MKV58F512VMD24  |     ARM      | `FLASH1`;`RAM1` |       `2.2.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |

---

### PIC32

|     CHIP NAME     | ARCHITECTURE |  REQUIREMENTS   | SUPPORTED IN VERSION |        GPIO        |        ADC         |        I2C         |        PWM         |        SPI         |        UART        |      ONE WIRE      |
| :---------------: | :----------: | :-------------: | :------------------: | :----------------: | :----------------: | :----------------: | :----------------: | :----------------: | :----------------: | :----------------: |
|  PIC32MX110F016B  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX110F016C  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX110F016D  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX120F032B  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX120F032C  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX120F032D  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX120F064H  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX130F064B  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX130F064C  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX130F064D  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX130F128H  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX130F128L  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX130F256B  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX130F256D  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX150F128B  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX150F128C  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX150F128D  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX150F256H  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX150F256L  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX170F256B  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX170F256D  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX170F512H  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX170F512L  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX210F016B  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX210F016C  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX210F016D  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX220F032B  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX220F032C  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX220F032D  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX230F064B  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX230F064C  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX230F064D  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX230F128H  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX230F128L  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX230F256B  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX230F256D  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX250F128B  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX250F128C  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX250F128D  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX250F256H  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX250F256L  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX270F256B  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX270F256D  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| PIC32MX270F256DB  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX270F512H  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX270F512L  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX320F032H  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX320F064H  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX320F128H  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX320F128L  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX330F064H  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX330F064L  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX340F128H  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX340F128L  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX340F256H  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX340F512H  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX350F128H  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX350F128L  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX350F256H  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX350F256L  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX360F256L  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX360F512L  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX370F512H  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX370F512L  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX420F032H  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX430F064H  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX430F064L  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX440F128H  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX440F128L  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX440F256H  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX440F512H  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX450F128H  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX450F128L  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX450F256H  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| PIC32MX450F256HB  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX450F256L  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX460F256L  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX460F512L  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX470F512H  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX470F512L  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| PIC32MX470F512LB  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX530F128H  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX530F128L  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX534F064H  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX534F064L  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX550F256H  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX550F256L  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX564F064H  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX564F064L  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX564F128H  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX564F128L  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX570F512H  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX570F512L  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX575F256H  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX575F256L  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX575F512H  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX575F512L  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX664F064H  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX664F064L  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX664F128H  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX664F128L  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX675F256H  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX675F256L  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX675F512H  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX675F512L  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX695F512H  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX695F512L  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX764F128H  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX764F128L  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX775F256H  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX775F256L  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX775F512H  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX775F512L  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX795F512H  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|  PIC32MX795F512L  |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| PIC32MZ0512EFE064 |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| PIC32MZ0512EFE100 |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| PIC32MZ0512EFE124 |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| PIC32MZ0512EFE144 |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| PIC32MZ0512EFF064 |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| PIC32MZ0512EFF100 |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| PIC32MZ0512EFF124 |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| PIC32MZ0512EFF144 |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| PIC32MZ0512EFK064 |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| PIC32MZ0512EFK100 |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| PIC32MZ0512EFK124 |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| PIC32MZ0512EFK144 |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| PIC32MZ1024EFE064 |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| PIC32MZ1024EFE100 |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| PIC32MZ1024EFE124 |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| PIC32MZ1024EFE144 |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| PIC32MZ1024EFF064 |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| PIC32MZ1024EFF100 |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| PIC32MZ1024EFF124 |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| PIC32MZ1024EFF144 |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| PIC32MZ1024EFG064 |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| PIC32MZ1024EFG100 |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| PIC32MZ1024EFG124 |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| PIC32MZ1024EFG144 |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| PIC32MZ1024EFH064 |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| PIC32MZ1024EFH100 |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| PIC32MZ1024EFH124 |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| PIC32MZ1024EFH144 |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| PIC32MZ1024EFK064 |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| PIC32MZ1024EFK100 |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| PIC32MZ1024EFK124 |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| PIC32MZ1024EFK144 |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| PIC32MZ1024EFM064 |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| PIC32MZ1024EFM100 |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| PIC32MZ1024EFM124 |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| PIC32MZ1024EFM144 |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| PIC32MZ2048EFG064 |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| PIC32MZ2048EFG100 |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| PIC32MZ2048EFG124 |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| PIC32MZ2048EFG144 |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| PIC32MZ2048EFH064 |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| PIC32MZ2048EFH100 |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| PIC32MZ2048EFH124 |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| PIC32MZ2048EFH144 |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| PIC32MZ2048EFM064 |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| PIC32MZ2048EFM100 |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| PIC32MZ2048EFM124 |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| PIC32MZ2048EFM144 |  PIC 32bit   | `FLASH1`;`RAM1` |       `2.1.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |

[BACK TO TOP](#list-of-supported-chips)

---

### PIC18

|           CHIP NAME           | ARCHITECTURE |  REQUIREMENTS   | SUPPORTED IN VERSION |        GPIO        |        ADC         |        I2C         |        PWM         |        SPI         |        UART        |      ONE WIRE      |
| :---------------------------: | :----------: | :-------------: | :------------------: | :----------------: | :----------------: | :----------------: | :----------------: | :----------------: | :----------------: | :----------------: |
|          PIC18F2455           |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F2458           |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F24J11          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F24J50          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F24K50          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F2515           |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F2525           |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F2550           |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F2553           |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F2585           |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F25J11          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F25J50          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F25K40          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F25K42          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F25K50          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F25K80          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F2610           |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F2620           |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F2680           |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F2682           |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F2685           |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F26J11          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F26J13          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F26J50          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F26J53          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F26K20          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F26K22          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F26K40          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F26K42          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F26K80          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F27J13          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F27J53          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F27K40          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F27K42          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F4455           |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F4458           |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F44J11          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F44J50          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F4515           |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F4525           |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F4550           |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F4553           |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F4585           |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F45J11          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F45J50          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| PIC18F45K22 [:one:](#note_1)  |   PIC 8bit   |    `FLASH1`     |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F45K40          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F45K42          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F45K50          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F45K80          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F4610           |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F4620           |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F4680           |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F4682           |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F4685           |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F46J11          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F46J13          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F46J50          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F46J53          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F46K20          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F46K22          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F46K40          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F46K42          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F46K80          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F47J13          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F47J53          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F47K40          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F47K42          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F47Q10          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F55K42          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F56K42          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F57K42          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F57Q43          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F6520           |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F6525           |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F6527           |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F6585           |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F65J10          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F65J11          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F65J15          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F65J50          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F65J90          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F65J94          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F65K22          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F65K40          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F65K80          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F65K90          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F6620           |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F6621           |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F6622           |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F6627           |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F6628           |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F6680           |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F66J10          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F66J11          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F66J15          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F66J16          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F66J50          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F66J55          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F66J60          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F66J65          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F66J90          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F66J93          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F66J94          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F66K22          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F66K40          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F66K80          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F66K90          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F6720           |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F6722           |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F6723           |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F67J10          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F67J11          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F67J50          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F67J60          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F67J90          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F67J93          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F67J94          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F67K22          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F67K40          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F67K90          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F8520           |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F8525           |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F8527           |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F8585           |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F85J10          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F85J11          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F85J15          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F85J50          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F85J90          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F85J94          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F85K22          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F85K90          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F8620           |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F8621           |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F8622           |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F8627           |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F8628           |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F8680           |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F86J10          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F86J11          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F86J15          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F86J16          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F86J50          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F86J55          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F86J60          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F86J65          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F86J72          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F86J90          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F86J93          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F86J94          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F86K22          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F86K90          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F8720           |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F8722           |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F8723           |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F87J10          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F87J11          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F87J50          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F87J60          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F87J72          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F87J90          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F87J93          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F87J94          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F87K22          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F87K90          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F95J94          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F96J60          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F96J65          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F96J94          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F97J60          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18F97J94          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18LF2455          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18LF2458          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|         PIC18LF24J11          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|         PIC18LF24J50          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|         PIC18LF24K50          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18LF2515          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18LF2525          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18LF2550          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18LF2553          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18LF2585          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|         PIC18LF25J11          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|         PIC18LF25J50          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|         PIC18LF25K40          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|         PIC18LF25K42          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|         PIC18LF25K50          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|         PIC18LF25K80          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18LF2610          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18LF2620          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18LF2680          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18LF2682          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18LF2685          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|         PIC18LF26J11          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|         PIC18LF26J13          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|         PIC18LF26J50          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|         PIC18LF26J53          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|         PIC18LF26K22          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|         PIC18LF26K40          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|         PIC18LF26K42          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|         PIC18LF26K80          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|         PIC18LF27J13          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|         PIC18LF27J53          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|         PIC18LF27K40          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|         PIC18LF27K42          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18LF4455          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18LF4458          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|         PIC18LF44J11          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|         PIC18LF44J50          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18LF4515          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18LF4525          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18LF4550          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18LF4553          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18LF4585          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|         PIC18LF45J11          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|         PIC18LF45J50          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| PIC18LF45K22 [:one:](#note_1) |   PIC 8bit   |    `FLASH1`     |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|         PIC18LF45K40          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|         PIC18LF45K42          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|         PIC18LF45K50          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|         PIC18LF45K80          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18LF4610          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18LF4620          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18LF4680          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18LF4682          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18LF4685          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|         PIC18LF46J11          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|         PIC18LF46J13          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|         PIC18LF46J50          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|         PIC18LF46J53          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|         PIC18LF46K22          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|         PIC18LF46K40          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|         PIC18LF46K42          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|         PIC18LF46K80          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|         PIC18LF47J13          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|         PIC18LF47J53          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|         PIC18LF47K40          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|         PIC18LF47K42          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|         PIC18LF55K42          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|         PIC18LF56K42          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|         PIC18LF57K42          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18LF6520          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18LF6527          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|         PIC18LF65K40          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|         PIC18LF65K80          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18LF6622          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18LF6627          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18LF6628          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|         PIC18LF66K40          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|         PIC18LF66K80          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18LF6722          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18LF6723          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|         PIC18LF67K40          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18LF8520          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18LF8527          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18LF8622          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18LF8627          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18LF8628          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18LF8720          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18LF8722          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
|          PIC18LF8723          |   PIC 8bit   | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |

> **_NOTE:_**
>> <a name="note_1">:one:</a> Chip doesn't have the minimum required amount of SRAM,
>>       but has been added regardless as it is the default chip
>>       for EasyPIC v7 system.

[BACK TO TOP](#list-of-supported-chips)

---

### STM32

|   CHIP NAME    | ARCHITECTURE |  REQUIREMENTS   | SUPPORTED IN VERSION |        GPIO        |        ADC         |        I2C         |        PWM         |        SPI         |        UART        |      ONE WIRE      |
| :------------: | :----------: | :-------------: | :------------------: | :----------------: | :----------------: | :----------------: | :----------------: | :----------------: | :----------------: | :----------------: |
| STM32F030C6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F030C8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F030CCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F030F4Px  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F030K6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F030R8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F030RCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F031C4Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F031C6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F031E6Yx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F031F4Px  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F031F6Px  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F031G4Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F031G6Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F031K4Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F031K6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F031K6Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F038C6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F038E6Yx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F038F6Px  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F038G6Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F038K6Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F042C4Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F042C4Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F042C6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F042C6Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F042F4Px  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F042F6Px  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F042G4Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F042G6Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F042K4Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F042K4Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F042K6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F042K6Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F042T6Yx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F048C6Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F048G6Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F048T6Yx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F051C4Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F051C4Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F051C6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F051C6Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F051C8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F051C8Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F051K4Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F051K4Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F051K6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F051K6Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F051K8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F051K8Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F051R4Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F051R6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F051R8Hx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F051R8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F051T8Yx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F058C8Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F058R8Hx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F058R8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F058T8Yx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F070C6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F070CBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F070F6Px  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F070RBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F071C8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F071C8Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F071CBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F071CBUx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F071CBYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F071RBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F071V8Hx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F071V8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F071VBHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F071VBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F072C8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F072C8Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F072CBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F072CBUx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F072CBYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F072R8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F072RBHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F072RBIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F072RBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F072V8Hx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F072V8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F072VBHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F072VBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F078CBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F078CBUx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F078CBYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F078RBHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F078RBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F078VBHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F078VBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F091CBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F091CBUx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F091CCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F091CCUx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F091RBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F091RCHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F091RCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F091RCYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F091VBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F091VCHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F091VCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F098CCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F098CCUx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F098RCHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F098RCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F098RCYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F098VCHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F098VCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F100C4Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F100C6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F100C8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F100CBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F100R4Hx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F100R4Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F100R6Hx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F100R6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F100R8Hx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F100R8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F100RBHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F100RBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F100RCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F100RDTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F100RETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F100V8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F100VBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F100VCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F100VDTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F100VETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F100ZCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F100ZDTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F100ZETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F101C4Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F101C6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F101C8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F101C8Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F101CBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F101CBUx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F101R4Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F101R6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F101R8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F101RBHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F101RBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F101RCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F101RDTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F101RETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F101RFTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F101RGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F101T4Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F101T6Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F101T8Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F101TBUx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F101V8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F101VBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F101VCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F101VDTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F101VETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F101VFTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F101VGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F101ZCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F101ZDTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F101ZETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F101ZFTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F101ZGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F102C4Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F102C6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F102C8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F102CBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F102R4Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F102R6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F102R8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F102RBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F103C4Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F103C6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F103C6Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F103C8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F103CBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F103CBUx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F103R4Hx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F103R4Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F103R6Hx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F103R6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F103R8Hx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F103R8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F103RBHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F103RBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F103RCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F103RCYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F103RDTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F103RDYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F103RETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F103REYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F103RFTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F103RGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F103T4Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F103T6Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F103T8Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F103TBUx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F103V8Hx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F103V8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F103VBHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F103VBIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F103VBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F103VCHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F103VCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F103VDHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F103VDTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F103VEHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F103VETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F103VFTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F103VGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F103ZCHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F103ZCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F103ZDHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F103ZDTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F103ZEHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F103ZETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F103ZFHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F103ZFTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F103ZGHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F103ZGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F105R8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F105RBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F105RCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F105V8Hx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F105V8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F105VBHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F105VBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F105VCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F107RBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F107RCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F107VBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F107VCHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F107VCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F205RBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F205RCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F205RETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F205REYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F205RFTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F205RGEx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F205RGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F205RGYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F205VBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F205VCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F205VETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F205VFTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F205VGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F205ZCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F205ZETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F205ZFTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F205ZGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F207ICHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F207ICTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F207IEHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F207IETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F207IFHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F207IFTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F207IGHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F207IGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F207VCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F207VETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F207VFTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F207VGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F207ZCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F207ZETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F207ZFTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F207ZGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F215RETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F215RGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F215VETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F215VGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F215ZETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F215ZGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F217IEHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F217IETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F217IGHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F217IGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F217VETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F217VGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F217ZETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F217ZGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F301C6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F301C8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F301C8Yx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F301K6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F301K6Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F301K8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F301K8Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F301R6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F301R8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F302C6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F302C8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F302C8Yx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F302CBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F302CCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F302K6Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F302K8Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F302R6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F302R8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F302RBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F302RCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F302RDTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F302RETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F302VBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F302VCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F302VCYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F302VDHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F302VDTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F302VEHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F302VETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F302ZDTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F302ZETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F303C6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F303C8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F303C8Yx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F303CBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F303CCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F303K6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F303K6Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F303K8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F303K8Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F303R6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F303R8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F303RBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F303RCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F303RDTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F303RETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F303VBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F303VCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F303VCYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F303VDHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F303VDTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F303VEHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F303VETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F303VEYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F303ZDTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F303ZETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F318C8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F318C8Yx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F318K8Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F328C8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F334C4Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F334C6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F334C8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F334C8Yx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F334K4Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F334K4Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F334K6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F334K6Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F334K8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F334K8Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F334R6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F334R8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F358CCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F358RCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F358VCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F373C8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F373CBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F373CCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F373R8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F373RBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F373RCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F373V8Hx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F373V8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F373VBHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F373VBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F373VCHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F373VCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F378CCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F378RCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F378RCYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F378VCHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F378VCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F398VETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F401CBUx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F401CBYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F401CCFx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F401CCUx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F401CCYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F401CDUx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F401CDYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F401CEUx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F401CEYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F401RBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F401RCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F401RDTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F401RETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F401VBHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F401VBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F401VCHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F401VCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F401VDHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F401VDTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F401VEHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F401VETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F405OEYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F405OGYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F405RGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F405VGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F405ZGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F407IEHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F407IETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F407IGHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F407IGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F407VETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F407VGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F407ZETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F407ZGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F410C8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F410C8Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F410CBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F410CBUx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F410R8Ix  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F410R8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F410RBIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F410RBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F410T8Yx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F410TBYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F411CCUx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F411CCYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F411CEUx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F411CEYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F411RCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F411RETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F411VCHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F411VCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F411VEHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F411VETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F412CEUx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F412CGUx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F412RETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F412REYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F412REYxP |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F412RGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F412RGYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F412RGYxP |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F412VEHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F412VETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F412VGHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F412VGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F412ZEJx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F412ZETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F412ZGJx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F412ZGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F413CGUx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F413CHUx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F413MGYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F413MHYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F413RGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F413RHTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F413VGHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F413VGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F413VHHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F413VHTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F413ZGJx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F413ZGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F413ZHJx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F413ZHTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F415OGYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F415RGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F415VGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F415ZGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F417IEHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F417IETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F417IGHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F417IGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F417VETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F417VGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F417ZETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F417ZGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F423CHUx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F423MHYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F423RHTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F423VHHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F423VHTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F423ZHJx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F423ZHTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F427AGHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F427AIHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F427IGHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F427IGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F427IIHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F427IITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F427VGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F427VITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F427ZGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F427ZITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F429AGHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F429AIHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F429BETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F429BGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F429BITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F429IEHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F429IETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F429IGHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F429IGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F429IIHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F429IITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F429NEHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F429NGHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F429NIHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F429VETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F429VGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F429VITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F429ZETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F429ZGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F429ZGYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F429ZITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F429ZIYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F437AIHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F437IGHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F437IGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F437IIHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F437IITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F437VGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F437VITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F437ZGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F437ZITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F439AIHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F439BGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F439BITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F439IGHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F439IGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F439IIHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F439IITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F439NGHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F439NIHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F439VGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F439VITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F439ZGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F439ZGYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F439ZITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F439ZIYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F446MCYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F446MEYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F446RCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F446RETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F446VCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F446VETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F446ZCHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F446ZCJx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F446ZCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F446ZEHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F446ZEJx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F446ZETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F469AEHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F469AEYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F469AGHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F469AGYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F469AIHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F469AIYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F469BETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F469BGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F469BITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F469IEHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F469IETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F469IGHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F469IGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F469IIHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F469IITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F469NEHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F469NGHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F469NIHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F469VETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F469VGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F469VITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F469ZETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F469ZGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F469ZITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F479AGHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F479AGYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F479AIHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F479AIYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F479BGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F479BITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F479IGHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F479IGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F479IIHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F479IITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F479NGHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F479NIHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F479VGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F479VITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F479ZGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F479ZITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F722ICKx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F722ICTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F722IEKx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F722IETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F722RCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F722RETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F722VCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F722VETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F722ZCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F722ZETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F723ICKx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F723ICTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F723IEKx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F723IETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F723VCYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F723VEYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F723ZCIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F723ZCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F723ZEIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F723ZETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F732IEKx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F732IETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F732RETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F732VETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F732ZETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F733IEKx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F733IETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F733VEYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F733ZEIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F733ZETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F745IEKx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F745IETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F745IGKx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F745IGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F745VEHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F745VETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F745VGHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F745VGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F745ZETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F745ZGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F746BETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F746BGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F746IEKx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F746IETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F746IGKx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F746IGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F746NEHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F746NGHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F746VEHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F746VETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F746VGHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F746VGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F746ZETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F746ZEYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F746ZGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F746ZGYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F756BGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F756IGKx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F756IGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F756NGHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F756VGHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F756VGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F756ZGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F756ZGYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F765BGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F765BITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F765IGKx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F765IGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F765IIKx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F765IITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F765NGHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F765NIHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F765VGHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F765VGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F765VIHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F765VITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F765ZGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F765ZITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F767BGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F767BITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F767IGKx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F767IGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F767IIKx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F767IITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F767NGHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F767NIHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F767VGHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F767VGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F767VIHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F767VITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F767ZGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F767ZITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F769AGYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F769AIYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F769BGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F769BITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F769IGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F769IITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F769NGHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F769NIHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F777BITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F777IIKx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F777IITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F777NIHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F777VIHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F777VITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F777ZITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F779AIYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F779BITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F779IITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32F779NIHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G030C6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G030C8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G030F6Px  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G030J6Mx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G030K6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G030K8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G031C4Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G031C4Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G031C6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G031C6Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G031C8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G031C8Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G031F4Px  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G031F6Px  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G031F8Px  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G031G4Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G031G6Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G031G8Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G031J4Mx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G031J6Mx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G031K4Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G031K4Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G031K6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G031K6Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G031K8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G031K8Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G031Y8Yx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G041C6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G041C6Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G041C8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G041C8Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G041F6Px  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G041F8Px  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G041G6Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G041G8Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G041J6Mx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G041K6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G041K6Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G041K8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G041K8Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G041Y8Yx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G070CBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G070KBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G070RBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G071C6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G071C6Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G071C8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G071C8Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G071CBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G071CBUx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G071EBYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G071G6Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G071G8Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G071G8UxN |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G071GBUx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G071GBUxN |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G071K6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G071K6Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G071K8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G071K8TxN |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G071K8Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G071K8UxN |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G071KBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G071KBTxN |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G071KBUx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G071KBUxN |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G071R6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G071R8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G071RBIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G071RBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G081CBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G081CBUx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G081EBYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G081GBUx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G081GBUxN |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G081KBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G081KBTxN |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G081KBUx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G081KBUxN |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G081RBIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32G081RBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32H743AGIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32H743AIIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32H743BITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32H743IIKx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32H743IITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32H743VGHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32H743VIHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32H743VITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32H743XIHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32H743ZITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32H750IBKx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32H750IBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32H750VBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32H750XBHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32H753AIIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32H753BITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32H753IIKx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32H753IITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32H753VIHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32H753VITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32H753XIHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32H753ZITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L011D3Px  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L011D4Px  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L011E3Yx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L011E4Yx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L011F3Px  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L011F3Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L011F4Px  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L011F4Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L011G3Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L011G4Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L011K3Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L011K3Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L011K4Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L011K4Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L021D4Px  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L021F4Px  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L021F4Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L021G4Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L021K4Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L021K4Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L031C4Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L031C6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L031C6Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L031E4Yx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L031E6Yx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L031F4Px  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L031F6Px  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L031G4Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L031G6Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L031G6UxS |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L031K4Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L031K4Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L031K6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L031K6Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L041C4Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L041C6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L041E6Yx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L041F6Px  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L041G6Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L041G6UxS |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L041K6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L041K6Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L051C6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L051C8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L051K6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L051K6Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L051K8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L051K8Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L051R6Hx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L051R6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L051R8Hx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L051R8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L051T6Yx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L051T8Yx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L052C6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L052C8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L052K6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L052K6Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L052K8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L052K8Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L052R6Hx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L052R6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L052R8Hx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L052R8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L052T6Yx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L052T8Fx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L052T8Yx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L053C6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L053C8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L053R6Hx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L053R6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L053R8Hx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L053R8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L062K8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L062K8Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L063C8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L063R8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L071C8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L071CBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L071CBYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L071CZTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L071CZYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L071K8Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L071KBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L071KBUx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L071KZTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L071KZUx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L071RBHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L071RBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L071RZHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L071RZTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L071V8Ix  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L071V8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L071VBIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L071VBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L071VZIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L071VZTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L072CBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L072CBYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L072CZEx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L072CZTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L072CZYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L072KBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L072KBUx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L072KZTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L072KZUx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L072RBHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L072RBIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L072RBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L072RZHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L072RZIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L072RZTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L072V8Ix  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L072V8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L072VBIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L072VBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L072VZIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L072VZTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L073CBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L073CZTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L073RBHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L073RBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L073RZHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L073RZIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L073RZTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L073V8Ix  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L073V8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L073VBIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L073VBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L073VZIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L073VZTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L081CBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L081CZTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L081KZTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L081KZUx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L082CZYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L082KBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L082KBUx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L082KZTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L082KZUx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L083CBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L083CZTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L083RBHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L083RBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L083RZHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L083RZTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L083V8Ix  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L083V8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L083VBIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L083VBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L083VZIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L083VZTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L100C6Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L100C6UxA |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L100R8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L100R8TxA |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L100RBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L100RBTxA |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L100RCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151C6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151C6TxA |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151C6Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151C6UxA |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151C8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151C8TxA |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151C8Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151C8UxA |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151CBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151CBTxA |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151CBUx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151CBUxA |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151CCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151CCUx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151QCHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151QDHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151QEHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151R6Hx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151R6HxA |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151R6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151R6TxA |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151R8Hx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151R8HxA |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151R8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151R8TxA |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151RBHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151RBHxA |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151RBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151RBTxA |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151RCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151RCTxA |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151RCYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151RDTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151RDYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151RETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151UCYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151V8Hx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151V8HxA |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151V8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151V8TxA |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151VBHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151VBHxA |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151VBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151VBTxA |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151VCHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151VCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151VCTxA |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151VDTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151VDTxX |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151VDYxX |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151VETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151VEYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151ZCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151ZDTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L151ZETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L152C6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L152C6TxA |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L152C6Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L152C6UxA |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L152C8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L152C8TxA |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L152C8Ux  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L152C8UxA |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L152CBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L152CBTxA |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L152CBUx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L152CBUxA |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L152CCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L152CCUx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L152QCHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L152QDHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L152QEHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L152R6Hx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L152R6HxA |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L152R6Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L152R6TxA |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L152R8Hx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L152R8HxA |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L152R8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L152R8TxA |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L152RBHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L152RBHxA |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L152RBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L152RBTxA |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L152RCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L152RCTxA |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L152RDTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L152RDYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L152RETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L152V8Hx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L152V8HxA |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L152V8Tx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L152V8TxA |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L152VBHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L152VBHxA |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L152VBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L152VBTxA |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L152VCHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L152VCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L152VCTxA |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L152VDTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L152VDTxX |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L152VETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L152VEYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L152ZCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L152ZDTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L152ZETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L162QDHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L162RCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L162RCTxA |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L162RDTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L162RDYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L162RETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L162VCHx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L162VCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L162VCTxA |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L162VDTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L162VDYxX |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L162VETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L162VEYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L162ZDTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L162ZETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L431CBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L431CBUx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L431CBYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L431CCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L431CCUx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L431CCYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L431KBUx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L431KCUx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L431RBIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L431RBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L431RBYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L431RCIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L431RCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L431RCYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L431VCIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L431VCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L432KBUx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L432KCUx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L433CBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L433CBUx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L433CBYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L433CCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L433CCUx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L433CCYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L433RBIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L433RBTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L433RBYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L433RCIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L433RCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L433RCTxP |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L433RCYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L433VCIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L433VCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L442KCUx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L443CCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L443CCUx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L443CCYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L443RCIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L443RCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L443RCYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L443VCIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L443VCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L451CCUx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L451CEUx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L451RCIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L451RCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L451RCYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L451REIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L451RETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L451REYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L451VCIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L451VCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L451VEIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L451VETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L452CCUx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L452CEUx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L452RCIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L452RCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L452RCYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L452REIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L452RETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L452RETxP |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L452REYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L452VCIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L452VCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L452VEIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L452VETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L462CEUx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L462REIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L462RETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L462REYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L462VEIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L462VETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L471QEIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L471QGIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L471RETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L471RGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L471VETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L471VGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L471ZEJx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L471ZETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L471ZGJx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L471ZGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L475RCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L475RETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L475RGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L475VCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L475VETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L475VGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L476JEYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L476JGYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L476JGYxP |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L476MEYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L476MGYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L476QEIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L476QGIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L476RCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L476RETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L476RGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L476VCTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L476VETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L476VGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L476ZETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L476ZGJx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L476ZGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L476ZGTxP |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L486JGYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L486QGIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L486RGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L486VGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L486ZGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L496AEIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L496AGIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L496AGIxP |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L496QEIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L496QGIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L496QGIxP |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L496RETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L496RGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L496RGTxP |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L496VETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L496VGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L496VGYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L496VGYxP |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L496ZETx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L496ZGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L496ZGTxP |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L4A6AGIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L4A6AGIxP |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L4A6QGIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L4A6QGIxP |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L4A6RGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L4A6RGTxP |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L4A6VGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L4A6VGYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L4A6VGYxP |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L4A6ZGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L4A6ZGTxP |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L4R5AGIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L4R5AIIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L4R5QGIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L4R5QIIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L4R5VGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L4R5VITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L4R5ZGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L4R5ZGYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L4R5ZITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L4R5ZITxP |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L4R5ZIYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L4R7AIIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L4R7VITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L4R7ZITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L4R9AGIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L4R9AIIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L4R9VGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L4R9VITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L4R9ZGJx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L4R9ZGTx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L4R9ZGYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L4R9ZIJx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L4R9ZITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L4R9ZIYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L4S5AIIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L4S5QIIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L4S5VITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L4S5ZITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L4S5ZIYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L4S7AIIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L4S7VITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L4S7ZITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L4S9AIIx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L4S9VITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L4S9ZIJx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L4S9ZITx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |
| STM32L4S9ZIYx  |     ARM      | `FLASH1`;`RAM1` |       `2.0.0+`       | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: |

[BACK TO TOP](#list-of-supported-chips)

---
